Subject: Re: bug#5811: 23.1.94; Emacs Nextstep port crashes after graphical yes-or-no-p

From: David Engster <[email-masked]>
Date: Tue, 06 Apr 2010 13:37:07 +0200

Adrian Robert <[email-masked]> writes:
>> Currently, I only have access to a machine running Mac OS X 10.5.8, and
>> there the crash does not happen. I should be able to run a non-optimized
>> build with 10.6.3. on Tuesday.
>
> Don't worry about it, I can reproduce it here on 10.6.2.  I'm not sure whether it was something in Emacs that changed, or something in one of the point releases, as I'm pretty sure I debugged and fixed this same issue this past summer (cause was a missing function prototype) working under 10.6.1.

Do you mean this fix?

revno: 97065
committer: Adrian Robert <[email-masked]>
timestamp: Fri 2009-08-21 19:29:31 +0000
message:
  nsfns.m (EmacsDialogPanel-runDialogAt): Add declaration of
        timer_check() to avoid crash on Leopard/PPC.  Bug #2154.

I cannot build a 64bit binary from this revision under 10.6.3.

FWIW, the earliest pretest I can actually compile under Snow Leopard is
23.1.91, and the bug already exists there.

Regards,
David